Bug 502689 - (mingw32-cppunit) Review Request: mingw32-cppunit - MinGW Windows C++ unit testing framework
Review Request: mingw32-cppunit - MinGW Windows C++ unit testing framework
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-26 19:21 EDT by Nicolas Chauvet (kwizart)
Modified: 2009-09-01 04:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-01 04:47:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kalevlember: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2009-05-26 19:21:14 EDT
Spec URL:
http://kwizart.fedorapeople.org/review/mingw32-cppunit.spec
SRPM URL:
http://kwizart.fedorapeople.org/review/mingw32-cppunit-1.12.1-1.fc10.src.rpm
Description: C++ unit testing framework
Comment 1 Kalev Lember 2009-08-02 13:15:06 EDT
Taking for review.

Some initial notes:

! Building the package fails in mock because of
  missing BuildRequires mingw32-gcc-c++

! If doxygen is present in build host, building fails with:
error: Installed (but unpackaged) file(s) found:
   /usr/i686-pc-mingw32/sys-root/mingw/share/doc/cppunit/FAQ
   /usr/i686-pc-mingw32/sys-root/mingw/share/doc/cppunit/_additional_message_8cpp.html
   /usr/i686-pc-mingw32/sys-root/mingw/share/doc/cppunit/_additional_message_8cpp__incl.map
<snip>

Please use explicit --disable-doxygen configure option to prevent that.

! cppunit-config.1 duplicates documentation of native cppunit package. As per Fedora MinGW packaging guidelines[1], those man pages that are duplicates of the ones found in native packages should be removed.

! rpmlint output:
$ rpmlint mingw32-cppunit-1.12.1-1.fc12.src.rpm mingw32-cppunit-1.12.1-1.fc12.noarch.rpm
mingw32-cppunit.noarch: W: manpage-not-compressed-with-gzip /usr/i686-pc-mingw32/sys-root/mingw/share/man/man1/cppunit-config.1
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

That warning will go away if you remove cppunit-config.1 man page as discussed above.

! All DLLs in %files section should be listed separately as per Fedora MinGW packaging guidelines

! Fedora Packaging Guidelines prefer %global macro instead of %define. [2]

! description says:
MinGW Windows cppunit compression library.

It's not really a compression library, is it?


Also consider changing description from:
C++ unit testing framework
to:
MinGW Windows C++ unit testing framework
to better match other Fedora MinGW packages.


[1] http://fedoraproject.org/wiki/Packaging/MinGW
[2] https://fedoraproject.org/wiki/Packaging:Guidelines#.25global_preferred_over_.25define
Comment 2 Kalev Lember 2009-08-02 14:38:36 EDT
(In reply to comment #1)
> Also consider changing description from:
> C++ unit testing framework
> to:
> MinGW Windows C++ unit testing framework
> to better match other Fedora MinGW packages.

Oops, I meant summary line here, not description.
Comment 3 Nicolas Chauvet (kwizart) 2009-08-08 05:14:47 EDT
Thx for the review.
As I was busy, I plan to update on Monday, please ping if not done.
Comment 4 Kalev Lember 2009-08-16 17:49:49 EDT
ping
Comment 5 Nicolas Chauvet (kwizart) 2009-08-17 11:18:52 EDT
Spec URL:
http://kwizart.fedorapeople.org/review/mingw32-cppunit.spec
SRPM URL:
http://kwizart.fedorapeople.org/review/mingw32-cppunit-1.12.1-2.fc11.src.rpm
Description: MinGW Windows C++ unit testing framework

Changelog
- Fix BR mingw32-gcc-c++
- Update description
- Disable duplicated docs with native package.
Comment 6 Kalev Lember 2009-08-19 09:53:53 EDT
Fedora review mingw32-cppunit-1.12.1-2.fc11.src.rpm 2009-08-19

+ OK
! needs attention


+ rpmlint is quiet
+ Package is named according to Fedora MinGW packaging guidelines
+ Specfile name matches the package base name
+ Package follows the Fedora MinGW packaging guidelines
+ The stated license (LGPLv2+) is a Fedora approved license
+ The stated license is the same as the one for the corresponding
  Fedora package
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm
  bd30e9cf5523cdfc019b94f5e1d7fd19  cppunit-1.12.1.tar.gz
  bd30e9cf5523cdfc019b94f5e1d7fd19  Download/cppunit-1.12.1.tar.gz
+ Package builds in mock (Fedora Rawhide i386)
n/a ExcludeArch bugs filed
+ BuildRequires look sane
n/a The spec file MUST handle locales properly
n/a binary RPM with shared library files must call ldconfig in %post and
    %postun
+ Does not use Prefix: /usr
+ Package owns all directories it creates
+ No duplicate files in %files
+ %files has %defattr
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ Consistent use of macros
+ Package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
    Fedora MinGW guidelines allow headers in main package
n/a Static libraries should be in -static
! Packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
n/a Packages should not contain libtool .la files
    Fedora MinGW guidelines allow .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Packages must not own files or directories owned by other packages
+ %install begins with rm -rf $RPM_BUILD_ROOT
+ Filenames must be valid UTF-8

! According to http://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs
  packages must use one of the changelog formats defined in there.

1) Use your real name in the changelog;
2) fix the date of latest entry (it reads Jan 5 right now);
3) remove spaces around your email address.

It should read something like this:
* Mon Jan  5 2009 Nicolas Chauvet <kwizart@gmail.com> - 1.12.1-1


Besides the missing Requires: pkgconfig and the problem with changelog entries
the spec file looks good.
Comment 7 Kalev Lember 2009-08-30 09:39:34 EDT
ping Nicolas Chauvet
Comment 8 Nicolas Chauvet (kwizart) 2009-08-31 11:36:10 EDT
Hi! I was just back from few days off this weekend...

I've updated the srpm/spec without bumping release because nothing was related to the binary package itself.
Comment 9 Kalev Lember 2009-08-31 16:22:28 EDT
Adding a Requires line certainly counts as a change to the binary rpm. Anyway, the package looks good now.

APPROVED
Comment 10 Nicolas Chauvet (kwizart) 2009-08-31 16:44:39 EDT
New Package CVS Request
=======================
Package Name: mingw32-cppunit
Short Description: MinGW Windows C++ unit testing framework
Owners: kwizart
Branches: devel F-11 EL-5
Comment 11 Jason Tibbitts 2009-08-31 19:15:53 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.